Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
pygaze._display.basedisplay.BaseDisplay Class Reference
Inheritance diagram for pygaze._display.basedisplay.BaseDisplay:

## Public Member Functions
| __init__ (self)
| show (self)
| show_part (self, rect, screen=None)
| fill (self, screen=None)
| close (self)
| make_screenshot (self, filename='screenshot.png')

## Detailed Description

    A class for Display objects, to present Screen objects on a monitor

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._display.basedisplay.BaseDisplay.__init__ | ( |  | self | ) |

            Initializes a Display object.

            arguments

            None

            keyword arguments

            dispsize    --  size of the display in pixels: a (width, height)
                        tuple (default = DISPSIZE)
            fgc     --  the foreground colour: a RGB tuple, e.g. (255,0,0)
                        for red or (0,0,0) for black (default = FGC)
            bgc     --  the background colour: a RGB tuple, e.g. (0,0,255)
                        for blue or (255,255,255) for white (default = BGC)
            screen  --  a screen.Screen instance to be presented on the new
                        Display (default=None)

## Member Function Documentation

## ◆ close()

pygaze._display.basedisplay.BaseDisplay.close | ( |  | self | ) |

            Closes the display

            arguments

            None

            keyword arguments

            None

            returns

            None

Reimplemented in pygaze._display.osdisplay.OSDisplay, and pygaze._display.pygamedisplay.PyGameDisplay.

## ◆ fill()

pygaze._display.basedisplay.BaseDisplay.fill | ( |  | self,
|  |  | screen = None )

            Fills the screen with the background colour of the Screen, NOT
            updating it (call Display.show() to actually show the new contents)

            arguments

            None

            keyword arguments

            screen  --  the screen that should be drawn to the display or
                        None to fill the display with its background colour

            returns

            None

Reimplemented in pygaze._display.osdisplay.OSDisplay, and pygaze._display.pygamedisplay.PyGameDisplay.

## ◆ make_screenshot()

pygaze._display.basedisplay.BaseDisplay.make_screenshot | ( |  | self,
|  |  | filename = 'screenshot.png' )

            Make a screenshot from the current display.

            arguments

            None

            keyword arguments

            filename    --  path and filename, under wich the screenshot will be
                            saved. Defaults to screenshot.png

            returns

            None

Reimplemented in pygaze._display.pygamedisplay.PyGameDisplay.

## ◆ show()

pygaze._display.basedisplay.BaseDisplay.show | ( |  | self | ) |

            Updates ('flips') the display.

            arguments

            None

            keyword arguments

            None

            returns
            time        --  the exact refresh time when disptype is PsychoPy,
                        or an estimate when disptype is PyGame

Reimplemented in pygaze._display.osdisplay.OSDisplay, and pygaze._display.pygamedisplay.PyGameDisplay.

## ◆ show_part()

pygaze._display.basedisplay.BaseDisplay.show_part | ( |  | self,
|  |  | rect,
|  |  | screen = None )

            Fills AND shows part(s) of the screen to given specified screen
            (only works when disptype is PyGame; when this is set to PsychoPy
            the entire display is filled and updated)

            arguments

            rect        --  a single or a list of rects; a rect is a (x,y,w,h)
                        tuple or list

            keyword arguments

            screen  --  the screen of which the specified rects should be
                        updated to the display (default = None)

            returns

            time        --  the exact refresh time when disptype is PsychoPy,
                        or an estimate when disptype is PyGame

Reimplemented in pygaze._display.osdisplay.OSDisplay, and pygaze._display.pygamedisplay.PyGameDisplay.

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_display/basedisplay.py